Opened 15 years ago

Closed 15 years ago

#6024 closed defect (invalid)

BUG: Can't install glib2 on 10.4.3

Reported by: gerald@… Owned by: mij@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc:
Port:

Description

I'm trying to install Ethereal on a fresh, clean system running OS X 10.4.3. When "port" gets to glib2, it dies with the following error:

---> Building glib2 with target all Error: Target com.apple.build returned: shell command "cd "/opt/local/var/db/dports/build/file._opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_devel_glib2/work/glib-2.8.3" && make all" returned error 2 Command output: _g_hash_table_foreach_remove _g_hash_table_insert _g_hash_table_lookup _g_hash_table_new _g_list_append _g_list_free _g_log _g_log_set_always_fatal _g_malloc _g_malloc0 _g_return_if_fail_warning _g_scanner_destroy _g_scanner_get_next_token _g_scanner_input_file _g_scanner_new _g_scanner_peek_next_token _g_scanner_unexp_token _g_slist_free _g_slist_prepend _g_slist_reverse _g_str_equal _g_str_hash _g_strconcat _g_strdup _g_strdup_printf _g_strerror collect2: ld returned 1 exit status make[2]: * [glib-genmarshal] Error 1 make[1]: * [all-recursive] Error 1 make: * [all] Error 2

Error: The following dependencies failed to build: glib2 gtk2 atk cairo fontconfig expat freetype libpixman libpng render xrender pango Xft2 tiff jpeg libpcap

Change History (2)

comment:1 Changed 15 years ago by mww@…

Owner: changed from darwinports-bugs@… to mij@…
Summary: Can't install glib2 on 10.4.3BUG: Can't install glib2 on 10.4.3

comment:2 Changed 15 years ago by gerald@…

Resolution: invalid
Status: newclosed

Never mind. I had GREP_OPTIONS set to "--exclude=*.svn* --exclude=*.libs*". This is great for weeding out unwanted output in the Ethereal sources, but not so great when libtool tries to build a symbol list by running

grep -E -e "[_].*" ".libs/libglib-2.0.exp" > ".libs/libglib-2.0.expT"

Sorry for any confusion.

Note: See TracTickets for help on using tickets.